Error Log
API view for logging errors.
Args: request: The HTTP request object.
Returns: CustomResponse: The response object containing formatted error logs.
Raises: IOError: If there is an error reading the error log file.
Examples: >>> logger_api = LoggerAPI() >>> response = logger_api.get(request)
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/error-log/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
API view for logging errors.
Args: request: The HTTP request object.
Returns: CustomResponse: The response object containing formatted error logs.
Raises: IOError: If there is an error reading the error log file.
Examples: >>> logger_api = LoggerAPI() >>> response = logger_api.get(request)
JWT Token Authentication. Enter "Bearer "
No response body
No content
PATCH /api/v1/dashboard/error-log/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/error-log/{log_name}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
POST /api/v1/dashboard/error-log/clear/{log_name}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
A class representing the ErrorGraphAPI view.
This view handles the GET request to retrieve formatted error data including a heatmap of URL hits, incident information, and affected users. It requires authentication and specific roles to access.
Args: self: The instance of the class itself.
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/error-log/graph/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
API view for logging errors.
Args: request: The HTTP request object.
Returns: CustomResponse: The response object containing formatted error logs.
Raises: IOError: If there is an error reading the error log file.
Examples: >>> logger_api = LoggerAPI() >>> response = logger_api.get(request)
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/error-log/patch/{error_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
API view for logging errors.
Args: request: The HTTP request object.
Returns: CustomResponse: The response object containing formatted error logs.
Raises: IOError: If there is an error reading the error log file.
Examples: >>> logger_api = LoggerAPI() >>> response = logger_api.get(request)
JWT Token Authentication. Enter "Bearer "
No response body
No content
PATCH /api/v1/dashboard/error-log/patch/{error_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
A class representing the ErrorTabAPI view.
This view handles the GET request to retrieve grouped URL patterns based on user roles. It requires authentication and specific roles to access.
Args: self: The instance of the class itself.
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/error-log/tab/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/error-log/view/{log_name}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
Last updated
Was this helpful?

